// Copyright (c) 2002-2011, SAS Institute Inc., Cary, NC, USA, All Rights Reserved

package com.sas.config;

abstract class ContextBuilder {
	
	public final Context build(File templateFile) {
		Context context = new Context()
		
		// Delegate to subclass
		return buildInternal(templateFile, context)
	}
	
	protected abstract Context buildInternal(File templateFile, Context context)
}
