// Copyright (c) 2002-2011, SAS Institute Inc., Cary, NC, USA, All Rights Reserved

package com.sas.config;

import java.util.List;

abstract class ResourceLoaderFilter {
	
	public ResourceLoaderFilter() {}
		
	@Override
	final protected List<Resource> filterResources(List<Resource> resources) {
		return filterResourcesInternal(resources)
	}
	
	protected abstract List<Resource> filterResourcesInternal(List<Resource> resources)
}
