// Copyright (c) 2002-2011, SAS Institute Inc., Cary, NC, USA, All Rights Reserved

package com.sas.config.jboss
import com.sas.config.jboss.*
import org.apache.log4j.*

public class Logger{
    static String logLevel
    static org.apache.log4j.Logger logger = org.apache.log4j.Logger.getLogger("com.sas.config")
    
    static void log(level, message){
        switch (level) {
        case "TRACE":
            if (logLevel=="TRACE" ){
                logger.trace("configJBoss: " + message)
                println("configJBoss: " + message)
            } 
            break
        case "DEBUG":
            if (logLevel=="DEBUG" || logLevel=="TRACE" ){
                logger.debug("configJBoss: " + message)
                println("configJBoss: " + message)
            } 
            break
        case 'INFO':
            if (logLevel=='INFO' || logLevel=="DEBUG" || logLevel=="TRACE" ){
                logger.info("configJBoss: " + message)
                println("configJBoss: " + message)
            }                
        }
    }
    static void setLogLevel(level){
        logLevel = level
    }
}