// Copyright (c) 2002-2011, SAS Institute Inc., Cary, NC, USA, All Rights Reserved

package com.sas.config.jboss.docparts

import java.util.List;

import com.sas.config.Resource;
import com.sas.config.ResourceLoader;
import com.sas.config.ResourceLoaderFilter;

import com.sas.config.jboss.Resource

class JBossDeletedResourceLoaderFilter extends ResourceLoaderFilter {
	
	public JBossDeletedResourceLoaderFilterer() {}
	
	@Override
	protected List<Resource> filterResourcesInternal(List<Resource> resources) {
		List<Resource> wlResources = new ArrayList<Resource>()

		int filtered = 0
		resources.each() { resource ->
			JBossResource jbResource = new JBossResource(resource)
			if(! jbResource.isDeleted()) {
				jbResources.add(jbResource)
			}
			else {
				filtered++
			}
		}
		
		println "$filtered Resources filtered."		
		return jbResources
	}
}
