// Copyright (c) 2002-2011, SAS Institute Inc., Cary, NC, USA, All Rights Reserved

package com.sas.config.sdw;

public class SDWHelper {
	private SDW sdw
	
	public SDWHelper(SDW sdw) { this.sdw = sdw }	
	
	public void setConfigStatusFile(String target, String task, String message) {
		def parameters = [ "target":target, "task":task, "message":message]
		sdw.execute("setConfigStatusFile", parameters)		
	}
	
	public void insertDocpartWithReplace(String fileToModify, String tokenToReplace, String valueToUse) {
		sdw.execute("insertDocpartWithReplace", ["fileToModify":fileToModify,"tokenToReplace":tokenToReplace,"valueToUse":valueToUse])
	}			
	
	public void fail(String message) {
		sdw.execute("fail", ["message":message])
	}
}