// Copyright (c) 2002-2011, SAS Institute Inc., Cary, NC, USA, All Rights Reserved

package com.sas.config.weblogic

import java.io.File;

import com.sas.config.Resource;

class ApplicationResource extends WebLogicResource implements Comparable {

	@Override
	public int compareTo(Object arg0) {
		ApplicationResource that = (ApplicationResource)arg0;
		String thatTime = that.getProperty("createTime");
		String thisTime = getProperty("createTime");
		// println "ApplicationResource.compareTo: $thisTime $thatTime"
		if (thisTime == null) 
			return -1;
		if (thatTime == null)
			return 1;
		return thisTime.compareTo(thatTime)
	}

	public ApplicationResource() {
	}

	public ApplicationResource(Resource r) {
		super(r);
	}

	public ApplicationResource(File propertiesFile) {
		super(propertiesFile);
	}

	
}
