// Copyright (c) 2002-2011, SAS Institute Inc., Cary, NC, USA, All Rights Reserved

package com.sas.config.weblogic;

import com.sas.config.Resource;

class JmsSubdeployment extends WebLogicResource {
	
	public static final String SUBDEPLOYMENT_NAME = "jmsSubdeploymentName"
	public static final String MODULE_NAME = "jmsModuleName"
	public static final String TARGETS = "targets"	
		
	public JmsSubdeployment() {}
	public JmsSubdeployment(File propertiesFile) {
		super(propertiesFile)
	}
	
	public String getSubdeploymentName() { return getProperty(SUBDEPLOYMENT_NAME) }
	public String getModuleName() { return getProperty(MODULE_NAME) }
	public Set<String> getTargets() { return getProperty(TARGETS) }
	
	public void setSubdeploymentName(String name) { setProperty(SUBDEPLOYMENT_NAME, name) }
	public void setModuleName(String name) { setProperty(MODULE_NAME, name) }
	public void setTargets(Set<String> targets) { setProperty(TARGETS, targets) }
}
