// Copyright (c) 2002-2011, SAS Institute Inc., Cary, NC, USA, All Rights Reserved

package com.sas.config;

class Context extends HashMap<String,Object>{
	
	public void setProperty(String name, Object value) {
		this.put(name, value)
	}
	
	public Object getProperty(String name) {
		return this.get(name)
	}
	
	public String toString() {
		StringBuffer sb = new StringBuffer()		
		this.keySet().each() { key ->
			sb.append("$key=")
			Object value = getProperty(key)
			sb.append((value!=null) ? value.toString() : value + "\n")
		}		
		return sb.toString()
	}
}
