@ECHO OFF

@REM *************************************************************************
@REM This script will attempt to kill the NodeManager process by searching 
@REM for the port in the output of the command 'netstat -aon' to find the PID.
@REM
@REM NODEMGR_PORT - The port NodeManager is running on.
@REM *************************************************************************

SETLOCAL EnableDelayedExpansion

SET NODEMGR_PORT=${global.nodeManagerPort}

for /F "delims=" %%I in ('netstat -aon^|findstr :%NODEMGR_PORT%') do (
  SET CMD_OUTPUT=%%I

  @REM Extract last 6 chars of cmd output. 
  SET PID=!CMD_OUTPUT:~-6,6!  
  taskkill /PID !PID! /F    
)

ENDLOCAL