@ECHO OFF
@rem Copyright (c) 2002-2011, SAS Institute Inc., Cary, NC, USA, All Rights Reserved


set JAVA_HOME=@jdk.install.dir@
set JAVA_VENDOR=@jdk.vendor@
set WL_HOME=@weblogic.home.dir@
set JARDIR=@velocityJarDir@
set CLASSPATH=%JARDIR%\sas.core.jar;%JARDIR%\com.sas.config.jar;%JARDIR%\velocity-1.5.jar;%JARDIR%\groovy-all.jar;%JARDIR%\avalon-logkit-2.1.jar;%JARDIR%\oro-2.0.8.jar;%JARDIR%\commons-collections-3.1.jar;%JARDIR%\commons-lang-2.1.jar;%JARDIR%\commons-logging.jar;%JARDIR%\log4j-1.2.12.jar;%JARDIR%\commons-io.jar
set EXT_PRE_CLASSPATH=%JARDIR%\ant-1.8.1.jar;%JARDIR%\ant-launcher-1.8.1.jar
set JAVA_OPTIONS=@python.cachedir.option@ -Dweblogic.deploy.UploadLargeFile=true
set DOMAIN_HOME=@weblogic.domain.root.dir@
set ENV=
set SAS_WLST_SCRIPT_HOME=@wlst.custom.scripts.dir@

set INSTALLED_WLST=%WL_HOME%\common\bin\wlst.cmd
set DOMAIN_WLST=@weblogic.domain.wlst@

if exist "%DOMAIN_WLST%" (
  set WLST=%DOMAIN_WLST%
) else (
  set WLST=%INSTALLED_WLST%
)

set SCRIPT=@weblogic.script.dir@\sas.py
call "%WLST%" "%SCRIPT%" %* processCredentials
call "%WLST%" "%SCRIPT%" %* <"@weblogic.script.dir@\yes.txt"
